Chromium se despide de NPAPI y Flash

Chromium

Max Heinritz anunció en las listas de correo de desarrolladores de que el navegador dejará de soportar los plug-ins que utilicen NPAPI tan pronto como la versión 34 sea publicada, lo cual sucederá en abril. La idea era dejar de soportarlos hasta finales de 2014 pero han decidido adelantarse debido a que no implementarán soporte para NPAPI en Linux Aura.

Debido a esto, muchos plug-ins que hacen uso de NPAPI dejarán de funcionar, incluidos entre ellos Adobe Flash, así como otros plug-ins multimedia usados en Linux, como el plug-in de Totem.

El retiro del soporte de Flash representará un duro golpe para los usuarios de la versión libre de puesto que, lamentablemente, aún hay muchas cosas en la web que dependen del plug-in de Adobe. Esto sin restar importancia a otros plug-ins dependientes de NPAPI.

Esto no quiere decir, no obstante, que los usuarios de Chromium se quedarán sin Flash para siempre pues siempre podrán utilizar la versión del plug-in de Adobe que hace uso de PPAPI. Esta versión de Flash viene incluida en el paquete de Chrome para Linux, Windows y Mac OS X, sin embargo, no cuenta con un instalador independiente.

Así, los usuarios de Chromium tienen dos opciones:

  • Pasarse a Chrome
  • Instalar y usar la versión de Flash que usa PPAPI (Pepper Flash)

Esta última opción se puede lograr de diferentes maneras, ya sea extrayendo de manera manual Flash de algún paquete de Google Chrome o mediante un repositorio extra.

Más información – Mozilla apuesta fuerte por Shumway en Firefox
Fuente – Listas de correo


Un comentario

  1.   tanrax dijo

    Chromium no es que se diga un navegador de masas, y con este giro no va a ganar más usuarios. Ojo, me parece coherente la decisión, pero no necesario.

Escribe un comentario